View Issue Details

IDProjectCategoryView StatusLast Update
0004782Talerdeployment and operationspublic2017-10-18 15:42
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PriorityhighSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0004782: execute wallet unit tests with buildbot
DescriptionBuildbot should execute the wallet's unit tests on commit.
TagsNo tags attached.

Activities

Marcello Stanisci

2017-02-10 17:59

manager   ~0011710

How to execute them?

Florian Dold

2017-02-10 18:40

manager   ~0011711

To be documented, I'll assign the bug to myself until this is resolved in the wallet / dev documentation.

Florian Dold

2017-05-28 22:39

manager   ~0012169

Running tests is trivial now, just do
./configure && make check

It requires yarn and npm as dependencies, as checked by configure.

Florian Dold

2017-05-28 22:40

manager   ~0012171

You can also generate coverage reports with "make coverage".

Marcello Stanisci

2017-05-29 19:46

manager   ~0012189

Florian, why did you close this? You only touched the wallet code,
whereas this bug relates to deployment. There might be something else
I'm missing?

Florian Dold

2017-05-29 19:47

manager   ~0012190

Ohh sorry, I should've just reassigned this to you.

Marcello Stanisci

2017-06-29 10:05

manager   ~0012278

The worker has been added at commit a1cab9f. However, the Bot might be down for other reasons.

Issue History

Date Modified Username Field Change
2016-11-13 21:43 Florian Dold New Issue
2016-11-15 15:53 Christian Grothoff Severity minor => feature
2016-11-15 15:53 Christian Grothoff Product Version => SVN HEAD
2016-11-15 15:53 Christian Grothoff Target Version => 0.3
2016-11-15 15:53 Christian Grothoff Summary execute wallet unit tests with buildbit => execute wallet unit tests with buildbot
2016-11-19 01:46 Christian Grothoff Status new => confirmed
2016-11-27 22:23 Florian Dold Assigned To => Marcello Stanisci
2016-11-27 22:23 Florian Dold Status confirmed => assigned
2017-02-10 17:59 Marcello Stanisci Note Added: 0011710
2017-02-10 18:02 Marcello Stanisci Priority normal => high
2017-02-10 18:40 Florian Dold Note Added: 0011711
2017-02-10 18:40 Florian Dold Assigned To Marcello Stanisci => Florian Dold
2017-04-09 00:28 Christian Grothoff Target Version 0.3 => 0.6
2017-04-30 13:31 Marcello Stanisci Relationship added parent of 0004930
2017-04-30 13:31 Marcello Stanisci Relationship deleted parent of 0004930
2017-05-28 22:39 Florian Dold Status assigned => resolved
2017-05-28 22:39 Florian Dold Resolution open => fixed
2017-05-28 22:39 Florian Dold Note Added: 0012169
2017-05-28 22:40 Florian Dold Note Added: 0012171
2017-05-28 22:52 Christian Grothoff Fixed in Version => 0.3
2017-05-28 22:52 Christian Grothoff Target Version 0.6 => 0.3
2017-05-29 19:46 Marcello Stanisci Note Added: 0012189
2017-05-29 19:47 Florian Dold Note Added: 0012190
2017-05-29 19:47 Florian Dold Assigned To Florian Dold => Marcello Stanisci
2017-05-29 19:47 Florian Dold Assigned To Marcello Stanisci => Florian Dold
2017-05-29 19:47 Florian Dold Assigned To Florian Dold =>
2017-05-29 19:47 Florian Dold Assigned To => Marcello Stanisci
2017-05-29 19:47 Florian Dold Status resolved => assigned
2017-06-05 11:39 Christian Grothoff Fixed in Version 0.3 =>
2017-06-05 11:39 Christian Grothoff Target Version 0.3 => 0.4
2017-06-28 22:08 Marcello Stanisci Status assigned => resolved
2017-06-28 22:08 Marcello Stanisci Status resolved => new
2017-06-28 22:08 Marcello Stanisci Resolution fixed => reopened
2017-06-28 22:10 Marcello Stanisci Status new => assigned
2017-06-29 10:05 Marcello Stanisci Status assigned => resolved
2017-06-29 10:05 Marcello Stanisci Resolution reopened => fixed
2017-06-29 10:05 Marcello Stanisci Note Added: 0012278
2017-06-29 12:17 Christian Grothoff Fixed in Version => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed